<form
  #resetPasswordFormHTMLElement
  [formGroup]="resetPasswordForm"
  novalidate
  (ngSubmit)="onSubmit()"
  [action]="resetPasswordFormAction"
  id="kc-form-login"
  name="kc-form-login"
  method="POST">
  <ng-container *transloco="let t">
    <mat-card
      appearance="outlined"
      class="default-card">
      <mat-card-header>
        <mat-card-title>
          <h2>{{t('password_reset.titel')}}</h2>
        </mat-card-title>
      </mat-card-header>
      <span class="hint">{{t('password_reset.hint')}}</span>
      <mat-card-content>
        <div class="row">
          <div class="col">
            <mat-form-field class="full-width-form">
              <input
                matInput
                app-trim
                [debounceTime]="500"
                [placeholder]="t('login.email')"
                formControlName="username"
                name="username">
              <mat-error *ngIf="username.hasError('required')">
                {{t('login.email')}}{{t('login.required')}}
              </mat-error>
              <mat-error *ngIf="username.hasError('maxlength')">
                {{t('registration.max_form_length',{maxLength:MAX_FORM_LENGTH})}}
              </mat-error>
              <mat-error *ngIf="username.hasError('email')">{{t('registration.invalid_email')}}</mat-error>
            </mat-form-field>
          </div>
        </div>
      </mat-card-content>
      <mat-card-actions align="end" class="default-card-actions-padding">
        <button
          mat-raised-button
          color="primary"
          [disabled]="!this.resetPasswordForm.valid"
          type="submit">
          {{t('password_reset.submit')}}
        </button>
      </mat-card-actions>
    </mat-card>
  </ng-container>
</form>
<ng-container *transloco="let t">
  <mat-card
    appearance="outlined"
    *ngIf="loginLink"
    class="default-card">
    <mat-card-content>
      <a
        class="link"
        [href]="loginLink">
        {{t('password_reset.back_to_login')}}
      </a>
    </mat-card-content>
  </mat-card>
</ng-container>
